Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Interface ContactCenterSimListener

All Known Implementing Classes:
  ContactCenterProgressBar

    public interface ContactCenterSimListener

Represents an observer of the progress of a simulation.

Method Summary
`void` | `simulationExtended(ObservableContactCenterSim sim, int newNumTargetSteps)` Indicates that an in-progress simulation performed by the simulator `sim` is extended to consist of `newNumTargetSteps` steps.
`void` | `simulationStarted(ObservableContactCenterSim sim, int numTargetSteps)` Indicates that a new simulation was started by the simulator `sim`, and that it will consist of `numTargetSteps` steps.
`void` | `simulationStopped(ObservableContactCenterSim sim, boolean aborted)` Indicates that a simulation performed by `sim` is terminated.
`void` | `stepDone(ObservableContactCenterSim sim)` Indicates that a step was done by the simulator `sim`.

Method Detail

### simulationStarted

    void simulationStarted(ObservableContactCenterSim sim,
                           int numTargetSteps)

  Indicates that a new simulation was started by the simulator `sim`, and that it will consist of `numTargetSteps` steps.

  Parameters:
    `sim` - the contact center simulator.
    `numTargetSteps` - the predicted number of steps.

### simulationExtended

    void simulationExtended(ObservableContactCenterSim sim,
                            int newNumTargetSteps)

  Indicates that an in-progress simulation performed by the simulator `sim` is extended to consist of `newNumTargetSteps` steps. This occurs when sequential sampling is used to reach a certain percision.

  Parameters:
    `sim` - the contact center simulator.
    `newNumTargetSteps` - the new target number of steps.

### simulationStopped

    void simulationStopped(ObservableContactCenterSim sim,
                           boolean aborted)

  Indicates that a simulation performed by `sim` is terminated. If `aborted` is `true`, the simulation was stopped using `ObservableContactCenterSim.abort()`. Otherwise, it has terminated after the target number of steps is reached.

  Parameters:
    `sim` - the contact center simulator.
    `aborted` - `true` if and only if the simulation was aborted.

### stepDone

    void stepDone(ObservableContactCenterSim sim)

  Indicates that a step was done by the simulator `sim`. One can use `ContactCenterSim.getCompletedSteps()` to obtain the number of completed steps.

  Parameters:
    `sim` - the contact center simulator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.